<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
    }

    .container {
        position: relative;
        width: 1500px;
        max-width: 100%;
        margin: 10px auto;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        gap: 10px 30px;
        grid-auto-flow: row;
        grid-template-areas:
            "div1 div1 div2 div3"
            "div1 div1 div2 div3"
            "div1 div1 div5 div5"
            "div4 div4 div5 div5"
            "div4 div4 div5 div5"
            "div4 div4 div6 div7"
            "div8 div8 div8 div8"
            "div9 div10 div11 div12"
            "div13 div14 div15 div16"
            "div17 div18 div19 div20";
    }

    img {
        max-width: 100%;
        width: 100%;
    }

    .div1 {
        grid-area: div1;
    }

    .div2 {
        grid-area: div2;
    }

    .div3 {
        grid-area: div3;
    }

    .div4 {
        grid-area: div4;
    }

    .div5 {
        grid-area: div5;
    }

    .div6 {
        grid-area: div6;
    }

    .div7 {
        grid-area: div7;
    }

    .div8 {
        grid-area: div8;
    }

    .div8 img {
        max-height: 600px;
    }

    .div9 {
        grid-area: div9;
    }

    .div10 {
        grid-area: div10;
    }

    .div11 {
        grid-area: div11;
    }

    .div12 {
        grid-area: div12;
    }

    .div13 {
        grid-area: div13;
    }

    .div14 {
        grid-area: div14;
    }

    .div15 {
        grid-area: div15;
    }

    .div16 {
        grid-area: div16;
    }

    .div17 {
        grid-area: div17;
    }

    .div18 {
        grid-area: div18;
    }

    .div19 {
        grid-area: div19;
    }

    .div20 {
        grid-area: div20;
    }
</style>

<body>
    <div class="container">
        <div class="div1">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div2">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div3">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div4">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div5">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div6">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div7">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div8">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div9">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div10">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div11">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div12">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div13">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div14">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div15">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div16">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div17">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div18">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div19">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
        <div class="div20">
            <img src="https://via.placeholder.com/250" alt="">
        </div>
    </div>
</body>

</html>